> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Portfolios

> Get all portfolios of a user.



## OpenAPI

````yaml GET /api/v3/brokerage/portfolios
openapi: 3.1.0
info:
  title: Coinbase Advanced Trade API
  version: '0.1'
servers:
  - url: https://api.coinbase.com
security:
  - ApiKey: []
  - OAuth2: []
paths:
  /api/v3/brokerage/portfolios:
    get:
      tags:
        - Portfolios
      summary: List Portfolios
      description: Get all portfolios of a user.
      operationId: RetailBrokerageApi_GetPortfolios
      parameters:
        - name: portfolio_type
          description: Only returns portfolios matching this portfolio type.
          in: query
          required: false
          schema:
            type: string
            enum:
              - UNDEFINED
              - DEFAULT
              - CONSUMER
              - INTX
            default: UNDEFINED
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_api.authed.retail_brokerage_api.GetPortfoliosResponse
            text/event-stream:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_api.authed.retail_brokerage_api.GetPortfoliosResponse
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/grpc.gateway.runtime.Error'
            text/event-stream:
              schema:
                $ref: '#/components/schemas/grpc.gateway.runtime.Error'
      security:
        - ApiKey:
            - view
        - OAuth2:
            - wallet:accounts:read
components:
  schemas:
    coinbase.public_api.authed.retail_brokerage_api.GetPortfoliosResponse:
      type: object
      properties:
        portfolios:
          type: array
          items:
            $ref: '#/components/schemas/coinbase.portfolio_service.Portfolio'
    grpc.gateway.runtime.Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            type: object
            additionalProperties: true
    coinbase.portfolio_service.Portfolio:
      type: object
      properties:
        name:
          type: string
        uuid:
          type: string
        type:
          allOf:
            - $ref: '#/components/schemas/coinbase.portfolio_service.PortfolioType'
        deleted:
          type: boolean
      description: Portfolio is the identifying information for a portfolio.
    coinbase.portfolio_service.PortfolioType:
      type: string
      enum:
        - UNDEFINED
        - DEFAULT
        - CONSUMER
        - INTX
      default: UNDEFINED
      description: PortfolioType defines the type of Portfolio.
  securitySchemes:
    ApiKey:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        A bearer token signed using your API Key Secret, see [Creating API
        Keys](/coinbase-app/authentication-authorization/api-key-authentication)
        section of our docs for more information. See [Scope &
        Permissions](/coinbase-app/advanced-trade-apis/rest-scopes) for the
        permission each endpoint requires.
    OAuth2:
      type: oauth2
      description: >-
        An OAuth 2.0 access token from the Coinbase App OAuth2 flow. See [Scope
        & Permissions](/coinbase-app/advanced-trade-apis/rest-scopes) for the
        scope each endpoint requires.
      flows:
        authorizationCode:
          authorizationUrl: https://login.coinbase.com/oauth2/auth
          tokenUrl: https://login.coinbase.com/oauth2/token
          scopes:
            wallet:user:read: View your account information.
            wallet:user:update: Update your account information.
            wallet:accounts:read: View your accounts.
            wallet:buys:create: Place, edit, and cancel orders.
            wallet:trades:read: View your cryptocurrency conversions.
            wallet:trades:create: Convert cryptocurrencies.
            wallet:transactions:read: View your transactions.
            wallet:transactions:transfer: Transfer funds between accounts.
            wallet:payment-methods:read: View your payment methods.

````